<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$mesNumero=$sessao->getVar('controle');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$inicio=$sessao->getVar('inicio');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();
echo"Prossiga, abrindo a planilha excel gerada!";
$matrizCabecalho[1]='NOME';
$matrizCabecalho[2]='CPF/CNPJ';
$matrizCabecalho[3]='ENDERECO';
$matrizCabecalho[4]='MUNICIPIO';
$matrizCabecalho[5]='UF';
$matrizCabecalho[6]='CEP';
$matrizCabecalho[7]='ESPECIE';
$matrizCabecalho[8]='CULTIVAR';
$matrizCabecalho[9]='ANALISES REALIZADAS';
//cria a tabela que vai exportar para excel
$tabelaExcel = '<table border="1">';
$tabelaExcel .= '<tr>';
$tabelaExcel .= '<td colspan="9">'.utf8_decode('CADASTRO DE USUÁRIOS DO LABORATÓRIO NÃO INSCRITOS NO REGISTRO NACIONAL DE SEMENTES E MUDAS').'</td>';// titulo 9 colunas 
$tabelaExcel .= '</tr>';


$tabelaExcel .= '<tr>';
$tabelaExcel .= '<td colspan="9">'. utf8_decode($vetorCabecalho[0]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabelaExcel .= '</tr>';
$tabelaExcel .= '<tr>';
$tabelaExcel .= '<td colspan="9">'. utf8_decode($vetorCabecalho[1]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabelaExcel .= '</tr>';
$tabelaExcel .= '<tr>';
$tabelaExcel .= '<td colspan="9">'. utf8_decode($vetorCabecalho[2]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabelaExcel .= '</tr>';
$tabelaExcel .= '<tr>';
$tabelaExcel .= '<td colspan="9">'. utf8_decode($vetorCabecalho[3]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabelaExcel .= '</tr>';
$tabelaExcel .= '<tr>';
$tabelaExcel .= '<td colspan="9">'. utf8_decode($vetorCabecalho[4]).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
$tabelaExcel .= '</tr>';
//insere uma legenda
if(substr($cliente,0,15)=='DIMICRON CUIABA'):
	$tabelaExcel .= '<tr>';
	$tabelaExcel .= '<td colspan="9">'. utf8_decode(
	'Pur = Pureza
    Ger = Germinação
    EAC = Env.Acelerado
    TZO = Tetrazólio
    PFI = Fitopatologia
    PMS = Peso de mil sementes'
	     ).'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
	$tabelaExcel .= '</tr>';
endif;

//MONTA O CORPO DA TABELA EXCEL
$tabelaExcel .= '<tr>';
$totalCampos=9;
for($i=1;$i<=$totalCampos;$i++):
    $tabelaExcel .= '<td>'.utf8_decode($matrizCabecalho[$i]).'</td>';				
endfor;
$tabelaExcel .= '</tr>';//fim do cabecalho


//COMO FUNCIONA ISSO
//pega o produtor sem renasem (renasem menor que 4 caracteres) e veridica documentos daquele mes. Se tem ele captura o nome do cara e forma um vetor de id_produtor
//depois pega o vetor e pesquisa as cultivares ordenando por cultivar e agrupando as amostras recebidas naquela cultivar e ze fini

$sql="SELECT prd_id,prd_nome,prd_cpf,prd_endereco,prd_municipio ,prd_uf,prd_cep FROM documentos,ficha,documentosponte,remetente 
where doc_labo=".$idLabo." and id_lab=".$idLabo." and length(prd_renasem)<4 
and fic_produtor=prd_id 
and  doc_tipo='Informe' && dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."' &&  MONTH(doc_data)='".$mesNumero."'
order by prd_nome";



//ENTRA DE QUAKQUER MANEIRA
$generica=new tabelagenerica();
$generica->extras_select =$sql;
$generica->selecionaCamposEspecial($generica);

$contador=0;
$contaRegistros=0;
$idProdutor0=0;
while ($res = $generica->retornaDados()):
    //$COD_CULTIVAR1 = Data7.Recordset.COD_CULTIVAR
    $idProdutor=$res->prd_id;
    if($idProdutor!=$idProdutor0):
       $vetorProdutor[$contaRegistros][0]=$idProdutor; 	
       $vetorProdutor[$contaRegistros][1]=$res->prd_nome;
       $vetorProdutor[$contaRegistros][2]=$res->prd_cpf;
       $vetorProdutor[$contaRegistros][3]=$res->prd_endereco;
       $vetorProdutor[$contaRegistros][4]=$res->prd_municipio;
       $vetorProdutor[$contaRegistros][5]=$res->prd_uf;
       $vetorProdutor[$contaRegistros][6]=$res->prd_cep;
       $idProdutor0=$idProdutor;
       $contaRegistros++;
	endif;    
endwhile;
//VAI MONTAR A TABELA
//aqui ja vai percorrer o vetor para montar as tabelas
$indiceGrupoCultivar=-1;
for($i=0;$i<$contaRegistros;$i++):
   $somado="";
   $idProdutor= $vetorProdutor[$i][0];
   $nome=       $vetorProdutor[$i][1];
   $cpf=        $vetorProdutor[$i][2];
   $endereco=   $vetorProdutor[$i][3];
   $municipio=  $vetorProdutor[$i][4];
   $uf=         $vetorProdutor[$i][5];
   $cep=        $vetorProdutor[$i][6];
   //echo("nome=$nome id=$idProdutor  <br>");
   //aqui vai pesquisar as cultivares que o cabra prantou e ver quantas amostras em cada curtivar
   $sql="SELECT fic_testes_realizar,fic_amostra,esp_nome,ctv_id,ctv_nome,fic_id 
   FROM especies,cultivar,documentos,ficha,documentosponte
   where fic_labo=".$idLabo."
   and fic_cultivar=ctv_id
   and   fic_produtor=".$idProdutor."
   and ctv_especie=esp_id 
   and(doc_tipo='Boletim' or doc_tipo='informe') 
   and dpo_amostra_vinculada=fic_id 
   and dpo_documento_autonumerador=doc_id 
   and dpo_documento_autonumerador=doc_id 
   
   
   and  year(doc_data)='".$anoAmostra."' 
   and  MONTH(doc_data)='".$mesNumero."'
   order by ctv_nome";

	//ENTRA DE QUAKQUER MANEIRA
	$generica=new tabelagenerica();
	$generica->extras_select =$sql;
	$generica->selecionaCamposEspecial($generica);

	$contaAmostras=0;
	$idCultivar0=0;
	while ($res = $generica->retornaDados()):
	    $idCultivar=$res->ctv_id;
	    if($idCultivar!=$idCultivar0):
		   $somado="";
	       $contaAmostras=0;
 	       $idCultivar0=$idCultivar;
	       $nomeCultivar=$res->ctv_nome;
	       $nomeEspecie=$res->esp_nome;
           //echo("nome=$nome id=$idProdutor idCultivar=$idCultivar nomeCultivar=$nomeCultivar <br>");
		   //vai trasfereir para o vetor final os dados do produtor, preparando para impressao
		   $indiceGrupoCultivar++;
           $vetorGrupoCultivar[$indiceGrupoCultivar][0]= $vetorProdutor[$i][1];//vai armazenar o nome do produtor
           $vetorGrupoCultivar[$indiceGrupoCultivar][1]= $vetorProdutor[$i][2];//vai armazenar o cpf do produtor
           $vetorGrupoCultivar[$indiceGrupoCultivar][2]= $vetorProdutor[$i][3];//vai armazenar o endereco do produtor
           $vetorGrupoCultivar[$indiceGrupoCultivar][3]= $vetorProdutor[$i][4];//vai armazenar o municipio do produtor
           $vetorGrupoCultivar[$indiceGrupoCultivar][4]= $vetorProdutor[$i][5];//vai armazenar o uf do produtor
           $vetorGrupoCultivar[$indiceGrupoCultivar][5]= $vetorProdutor[$i][6];//vai armazenar o cep do produtor
           //vai arqmazenar a cultivar e a especie
           $vetorGrupoCultivar[$indiceGrupoCultivar][6]= $nomeCultivar;//vai armazenar o nome dda cultivar
           $vetorGrupoCultivar[$indiceGrupoCultivar][7]= $nomeEspecie;//vai armazenar o nome da especie
        endif;  
        if(substr($cliente,0,15)=='DIMICRON CUIABA'):
	        //$vetorGrupoCultivar[$indiceGrupoCultivar][8]= "PUR,GER,TZO,PCT1.PCT5,DDD,YYY,UUU";//vai MOSTRAR OS TESTES
	        //$vetorGrupoCultivar[$indiceGrupoCultivar][8]=$res->fic_testes_realizar;
	        //$vetorGrupoCultivar[$indiceGrupoCultivar][8]=$res->fic_testes_realizar;
			$concatenado=$res->fic_testes_realizar;
			list($r[1],$r[2],$r[3],$r[4],$r[5],$r[6],$r[7],$r[8],$r[9],$r[10])= explode(";", $concatenado);
			for($ii=1;$ii<=10;$ii++):
               $item=$r[$ii];  			

               $somado=$somado.$item.'-';   			   

			endfor;
	        $vetorGrupoCultivar[$indiceGrupoCultivar][8]=$somado;
			
        else:
			$contaAmostras++;
	        $vetorGrupoCultivar[$indiceGrupoCultivar][8]= $contaAmostras;//vai armazenar o total de amostras
		endif; 		
	endwhile;	
endfor;//percorre todas as id do produtor

//vai me mostrar a tabela
echo "<table>";
for($i=0;$i<=$indiceGrupoCultivar;$i++):
  $tabelaExcel .= '<tr>';//abre umalinha nova para um novo registro na tabela do excel
  echo "<tr>";  
  $nome=$vetorGrupoCultivar[$i][0];
  $cpf=$vetorGrupoCultivar[$i][1];
  $endereco=$vetorGrupoCultivar[$i][2];
  $municipio=$vetorGrupoCultivar[$i][3];
  $uf=$vetorGrupoCultivar[$i][4];
  $cep=$vetorGrupoCultivar[$i][5];
  $cultivar=$vetorGrupoCultivar[$i][6];
  $especie=$vetorGrupoCultivar[$i][7];
  $numeroPorCulvivar =$vetorGrupoCultivar[$i][8];  
  //echo("nome=$nome  curtivar $cultivar  numeroPorCulvivar=$numeroPorCulvivar<br>");
     $tabelaExcel .= '<td>'.utf8_decode($nome).'</td>';
     $tabelaExcel .= '<td>'.$cpf.'</td>';
     $tabelaExcel .= '<td>'.utf8_decode($endereco).'</td>';
     $tabelaExcel .= '<td>'.utf8_decode($municipio).'</td>';
     $tabelaExcel .= '<td>'.$uf.'</td>';
     $tabelaExcel .= '<td>'.$cep.'</td>';
     $tabelaExcel .= '<td>'.utf8_decode($especie).'</td>';
     $tabelaExcel .= '<td>'.utf8_decode($cultivar).'</td>';
     $tabelaExcel .= '<td>'.$numeroPorCulvivar.'</td>';
  $tabelaExcel .= '</tr>';
endfor;

//FIM DA MONTAGEM DA TABELA
//final da preparacao da sessao que vai levar o conteudo para excel
$tabelaExcel .= '</table>';
$sessao->setVar('controleExcel',$tabelaExcel);
//envia para um form que recebe a sessao e abre a tabela em excel  
echo '<iframe src="criarexcel2015_2016.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	

		
		
?>
